Daemon Power

The NetBSD Packages Collection: devel/p5-Test-MinimumVersion

Brief description of the package:
Test to prove a module requires newer perl than expected

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://search.cpan.org/dist/Test-MinimumVersion/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "devel/p5-Test-MinimumVersion" directory. The current source version of the package is "p5-Test-MinimumVersion-0.101.082nb2". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/p5-Test-MinimumVersion :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: p5-File-Find-Rule-[0-9]* p5-Number-Compare>=0.01 perl>=5.26.0 cwrappers>=20150314 perl<5.28.0 p5-Text-Glob>=0.07 p5-File-Find-Rule-Perl-[0-9]* p5-File-Find-Rule>=0.20 p5-Params-Util>=0.38 p5-Perl-MinimumVersion>=1.20 p5-File-Find-Rule>=0.32 p5-File-Find-Rule-Perl>=1.04 p5-PPI>=1.215 p5-Clone>=0.30 p5-IO-String>=1.07 p5-List-MoreUtils>=0.16 p5-Exporter-Tiny-[0-9]* p5-List-MoreUtils-XS>=0.423 p5-Params-Util>=1.00 p5-Task-Weaken-[0-9]* p5-Class-Inspector>=1.22 p5-File-Remove>=1.42 p5-Test-NoWarnings>=0.084 p5-Test-Simple>=1.001010 p5-Test-Object>=0.07 p5-Test-SubCalls>=1.07 p5-Hook-LexWrap>=0.20 p5-Params-Util>=0.25 p5-Perl-Critic>=1.104 p5-B-Keywords>=1.05 p5-Config-Tiny>=2 p5-Email-Address>=1.889 p5-Exception-Class>=1.23 p5-Class-Data-Inheritable>=0.02 p5-Devel-StackTrace>=1.20 p5-File-HomeDir-[0-9]* p5-File-Which-[0-9]* p5-IO-String-[0-9]* p5-List-MoreUtils>=0.19 p5-PPI>=1.224 p5-PPIx-Regexp>=0.022 p5-List-MoreUtils-[0-9]* p5-PPI>=1.117 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 p5-PPIx-Utilities>=1.001 p5-Readonly-[0-9]* p5-Module-Build-Tiny>=0.23 p5-ExtUtils-Config>=0.003 p5-ExtUtils-Helpers>=0.020 p5-ExtUtils-InstallPaths>=0.002 p5-ExtUtils-Config>=0.002 p5-Test-Harness>=3.30 p5-Exception-Class-[0-9]* p5-PPI>=1.208 p5-PPI-XS-[0-9]* p5-PPI>=1.203 p5-ExtUtils-AutoInstall>=0.63 p5-Sort-Versions>=1.2 p5-Readonly-XS-[0-9]* p5-Readonly>=1.02 p5-Test-Deep-[0-9]* p5-Perl-Tidy-[0-9]* p5-Pod-Spell>=1 p5-Lingua-EN-Inflect>=0 p5-Class-Tiny>=0 p5-File-ShareDir>=0 p5-Class-Inspector>=1.12 p5-File-ShareDir-Install>=0 p5-Readonly>=2.0 p5-String-Format>=1.13 p5-Module-Pluggable-[0-9]* p5-PPIx-Regexp>=0.033 p5-Test-Script>=1.03 p5-Probe-Perl>=0.01 p5-Capture-Tiny-[0-9]* p5-Inline-C-[0-9]* p5-Inline>=0.58 p5-Parse-RecDescent>=1.80 p5-Text-Balanced-[0-9]* p5-Test-Warn>=0.21 p5-Sub-Uplevel>=0.12 p5-File-ShareDir-Install-[0-9]* p5-Pegex>=0.55 p5-YAML-LibYAML-[0-9]* p5-File-Copy-Recursive-[0-9]* p5-IO-All-[0-9]* p5-File-MimeInfo-[0-9]* p5-File-BaseDir-[0-9]* p5-IPC-System-Simple-[0-9]* xdg-user-dirs-[0-9]* desktop-file-utils>=0.8 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 glib2>=2.34.0 desktop-file-utils>=0.10nb1 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 p5-File-DesktopEntry-[0-9]* p5-File-BaseDir>=0.03 p5-URI-[0-9]* p5-Test-Needs-[0-9]* shared-mime-info-[0-9]* p5-File-ReadBackwards-[0-9]* p5-Test2-Suite>=0.000077 p5-Importer-[0-9]* p5-Sub-Info-[0-9]* p5-Test-Simple-[0-9]* p5-Test-Simple>=1.302117 p5-Term-Table-[0-9]* p5-Scope-Guard-[0-9]* p5-YAML-Tiny>=1.40 .

This package requires the following package(s) to run: p5-File-Find-Rule-[0-9]* p5-Number-Compare>=0.01 perl>=5.26.0 perl<5.28.0 p5-Text-Glob>=0.07 p5-File-Find-Rule-Perl-[0-9]* p5-File-Find-Rule>=0.20 p5-Params-Util>=0.38 p5-Perl-MinimumVersion>=1.20 p5-File-Find-Rule>=0.32 p5-File-Find-Rule-Perl>=1.04 p5-PPI>=1.215 p5-Clone>=0.30 p5-IO-String>=1.07 p5-List-MoreUtils>=0.16 p5-Exporter-Tiny-[0-9]* p5-List-MoreUtils-XS>=0.423 p5-Params-Util>=1.00 p5-Task-Weaken-[0-9]* p5-Params-Util>=0.25 p5-Perl-Critic>=1.104 p5-B-Keywords>=1.05 p5-Config-Tiny>=2 p5-Email-Address>=1.889 p5-Exception-Class>=1.23 p5-Class-Data-Inheritable>=0.02 p5-Devel-StackTrace>=1.20 p5-File-HomeDir-[0-9]* p5-File-Which-[0-9]* p5-IO-String-[0-9]* p5-List-MoreUtils>=0.19 p5-PPI>=1.224 p5-PPIx-Regexp>=0.022 p5-List-MoreUtils-[0-9]* p5-PPI>=1.117 p5-PPIx-Utilities>=1.001 p5-Readonly-[0-9]* p5-Exception-Class-[0-9]* p5-PPI>=1.208 p5-PPI-XS-[0-9]* p5-PPI>=1.203 p5-Readonly-XS-[0-9]* p5-Readonly>=1.02 p5-Perl-Tidy-[0-9]* p5-Pod-Spell>=1 p5-Lingua-EN-Inflect>=0 p5-Class-Tiny>=0 p5-File-ShareDir>=0 p5-Class-Inspector>=1.12 p5-File-ShareDir-Install>=0 p5-Readonly>=2.0 p5-String-Format>=1.13 p5-PPIx-Regexp>=0.033 p5-YAML-Tiny>=1.40 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.0)
earm:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 7.0)
earmv6hf:p5-Test-MinimumVersion-0.101.081nb1.tgz(NetBSD 7.0)
earmv6hf:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 7.0)
earmv7hf:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 7.0)
earmv7hf:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 7.99.21)
earmv7hf:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.0_BETA)
i386:p5-Test-MinimumVersion-0.101.080nb4.tgz(MirBSD 10)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.0)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.1)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.1)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
i386:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
i386:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.0)
i386:p5-Test-MinimumVersion-0.101.080nb2.tgz(QNX 6.5.0)
powerpc:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
powerpc:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.1)
powerpc:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 7.0)
powerpc:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.1)
powerpc:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.1)
powerpc:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.0)
powerpc:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.0)
sparc:p5-Test-MinimumVersion-0.101.081nb3.tgz(NetBSD 5.1)
sparc:p5-Test-MinimumVersion-0.101.081nb1.tgz(NetBSD 5.1)
sparc:p5-Test-MinimumVersion-0.101.081nb1.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 6.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 6.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb1.tgz(NetBSD 7.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.0)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 7.0.1_PATCH)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.99.1)
x86_64:p5-Test-MinimumVersion-0.101.082nb2.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]